Bug 1410713 - Review Request: gtts - Create an mp3 file from spoken text via the Google TTS API
Summary: Review Request: gtts - Create an mp3 file from spoken text via the Google TTS...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Whalen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: IoT
TreeView+ depends on / blocked
 
Reported: 2017-01-06 08:05 UTC by Peter Robinson
Modified: 2017-01-23 14:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-23 14:32:26 UTC
Type: Bug
pwhalen: fedora-review+


Attachments (Terms of Use)

Description Peter Robinson 2017-01-06 08:05:45 UTC
SPEC: https://pbrobinson.fedorapeople.org/gtts.spec
SRPM: https://pbrobinson.fedorapeople.org/gtts-1.1.7-1.fc25.src.rpm

Description:
gTTS (Google Text to Speech): a cli interface for Google's Text to Speech API. Create an mp3 file with the gtts-cli command line utility or python bindings. It allows unlimited lengths to be spoken by tokenizing long sentences where the speech would naturally pause.

koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=17174512

Comment 1 Paul Whalen 2017-01-19 16:45:49 UTC
Only issue is the description, could you please fix that before pushing. Otherwise looks good.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[-]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.4/site-
     packages, /usr/lib/python3.4
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-gtts , python3-gtts
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gtts-1.1.7-1.fc23.noarch.rpm
          python2-gtts-1.1.7-1.fc23.noarch.rpm
          python3-gtts-1.1.7-1.fc23.noarch.rpm
          gtts-1.1.7-1.fc23.src.rpm
gtts.noarch: W: spelling-error %description -l en_US cli -> cl, clii, clip
gtts.noarch: W: spelling-error %description -l en_US tokenizing -> betokening
gtts.noarch: W: no-documentation
gtts.noarch: W: no-manual-page-for-binary gtts-cli.py
gtts.noarch: W: no-manual-page-for-binary gtts-cli
python2-gtts.noarch: W: spelling-error %description -l en_US tokenizing -> betokening
python2-gtts.noarch: E: description-line-too-long C gTTS (Google Text to Speech): a Python interface for Google's Text to Speech API.
python2-gtts.noarch: W: no-documentation
python3-gtts.noarch: W: spelling-error %description -l en_US tokenizing -> betokening
python3-gtts.noarch: E: description-line-too-long C gTTS (Google Text to Speech): a Python interface for Google's Text to Speech API.
python3-gtts.noarch: W: no-documentation
gtts.src: W: spelling-error %description -l en_US cli -> cl, clii, clip
gtts.src: W: spelling-error %description -l en_US tokenizing -> betokening
4 packages and 0 specfiles checked; 2 errors, 11 warnings.




Rpmlint (installed packages)
----------------------------
python3-gtts.noarch: E: description-line-too-long C gTTS (Google Text to Speech): a Python interface for Google's Text to Speech API.
python3-gtts.noarch: W: no-documentation
gtts.noarch: W: no-documentation
gtts.noarch: W: no-manual-page-for-binary gtts-cli
gtts.noarch: W: no-manual-page-for-binary gtts-cli.py
python2-gtts.noarch: E: description-line-too-long C gTTS (Google Text to Speech): a Python interface for Google's Text to Speech API.
python2-gtts.noarch: W: no-documentation
3 packages and 0 specfiles checked; 2 errors, 5 warnings.



Requires
--------
python3-gtts (rpmlib, GLIBC filtered):
    python(abi)
    python3-requests

gtts (rpmlib, GLIBC filtered):
    /bin/bash
    /usr/bin/python2
    python3-gtts

python2-gtts (rpmlib, GLIBC filtered):
    python(abi)
    python2-requests



Provides
--------
python3-gtts:
    python3-gtts

gtts:
    gtts

python2-gtts:
    python-gtts
    python2-gtts



Source checksums
----------------
https://github.com/pndurette/gTTS/archive/v1.1.7.tar.gz :
  CHECKSUM(SHA256) this package     : dfd74ee2ef2cf35c3ffdbaf27609e1bad436272b0fe5561af4f30437b9ab4c9b
  CHECKSUM(SHA256) upstream package : dfd74ee2ef2cf35c3ffdbaf27609e1bad436272b0fe5561af4f30437b9ab4c9b


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1410713
Buildroot used: fedora-23-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Gwyn Ciesla 2017-01-23 14:06:46 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/gtts


Note You need to log in before you can comment on or make changes to this bug.